<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:ads="http://schemas.android.com/apk/res-auto"
    android:id="@+id/activity_options"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:layout_marginTop="?android:actionBarSize"
    tools:context="com.hyperling.apps.games.OptionsActivity">

    <ScrollView
        android:id="@+id/scrollViewOptions"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerInParent="true"
        android:layout_alignParentTop="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <!--
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/optionGroupGeneral"
                android:textSize="@dimen/textHeaderSize"
                android:textStyle="bold"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <RelativeLayout
                android:id="@+id/optionAdsLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <CheckBox
                    android:id="@+id/optionAdsCheckBox"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"/>
                <TextView
                    android:text="@string/optionAds"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@id/optionAdsCheckBox"
                    android:layout_toStartOf="@id/optionAdsCheckBox"/>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <Space
                android:layout_width="match_parent"
                android:layout_height="@dimen/spaceSize" />
            -->

            <TextView
                android:text="@string/optionGroupInGame"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="@dimen/textHeaderSize"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <RelativeLayout
                android:id="@+id/optionPracticeRoundLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <CheckBox
                    android:id="@+id/optionPracticeRoundCheckBox"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:enabled="false"/>
                <TextView
                    android:text="@string/optionPracticeRound"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@id/optionPracticeRoundCheckBox"
                    android:layout_toStartOf="@id/optionPracticeRoundCheckBox"
                    android:textStyle="italic"/>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <RelativeLayout
                android:id="@+id/optionHigherQualityLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <CheckBox
                    android:id="@+id/optionHigherQualityCheckBox"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"/>
                <TextView
                    android:text="@string/optionHigherQuality"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@id/optionHigherQualityCheckBox"
                    android:layout_toStartOf="@id/optionHigherQualityCheckBox"/>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <RelativeLayout
                android:id="@+id/optionFPSLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <CheckBox
                    android:id="@+id/fpsCheckBox"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"/>
                <TextView
                    android:text="@string/optionFPS"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@id/fpsCheckBox"
                    android:layout_toStartOf="@id/fpsCheckBox"/>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <Space
                android:layout_width="match_parent"
                android:layout_height="@dimen/spaceSize" />

            <TextView
                android:text="@string/optionGroupOnline"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="@dimen/textHeaderSize"
                android:textStyle="bold"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <RelativeLayout
                android:id="@+id/optionNicknameLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <EditText
                    android:id="@+id/optionNicknameEditText"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:enabled="false"/>
                <!--android:hint="@string/optionNicknameHint"-->
                <TextView
                    android:text="@string/optionNickname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@id/optionNicknameEditText"
                    android:layout_toStartOf="@id/optionNicknameEditText"
                    android:textStyle="italic"/>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <RelativeLayout
                android:id="@+id/optionUploadLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <CheckBox
                    android:id="@+id/optionUploadCheckBox"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:enabled="false"/>
                <TextView
                    android:text="@string/optionUpload"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@id/optionUploadCheckBox"
                    android:layout_toStartOf="@id/optionUploadCheckBox"
                    android:textStyle="italic"/>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <Space
                android:layout_width="match_parent"
                android:layout_height="@dimen/spaceSize" />

            <TextView
                android:text="@string/optionGroupOther"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="@dimen/textHeaderSize"
                android:textStyle="bold"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

            <Button
                android:id="@+id/btnDeletePreferences"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/btnDeletePreferences"
                android:gravity="center"/>

            <Button
                android:id="@+id/btnConfirmDeletePreferences"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/btnConfirmDeletePreferences"
                android:gravity="center"
                android:enabled="false"
                android:visibility="gone"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/separatorSize"
                android:background="@color/colorPrimaryDark" />

        </LinearLayout>

    </ScrollView>

</RelativeLayout>